@user
Feature: delete user

  <% user_hash = @formatter.get_fixture('user/create') %>
  <% username = user_hash["username"] %>
  Scenario: delete user with user without privileges
    When I send DELETE '/v2.0/user/<%= username %>' query with user without privileges
    Then response should be '401'

  Scenario: delete unknown user
    When I send DELETE '/v2.0/user/unknown' query
    Then response should be '404'

  Scenario: delete user with header 'Accept' value is not 'application/json'
    When I send DELETE '/v2.0/user/<%= username %>' query with header 'Accept' value 'application/xml'
    Then response should be '406'

  Scenario: delete user
    When I send DELETE '/v2.0/user/<%= username %>' query
    Then response should be '200'
    And the Content-Type header should include 'application/json'

